<template>
  <div class="infoPage">
    <div class="top-title-box">
      <p>详情</p>
      <p class="reset-button-one" @click="backPage">返回</p>
    </div>
    <div class="text-max-box">
      <p>发送对象：</p>
      <p>{{infoData.messClass==1?'个人':(infoData.messClass==3?'实验室':'其他')}}</p>
    </div>
    <div class="text-max-box">
      <p>发送范围：</p>
      <p v-if="infoData.messClass==1">{{infoData.typeText}}</p>
      <p v-if="infoData.messClass==3">{{infoData.subName}}</p>
    </div>
    <div class="text-max-box">
      <p>发送时间：</p>
      <p>{{infoData.createTime}}</p>
    </div>
    <div class="text-max-box">
      <p>内容：</p>
      <p>{{infoData.content}}</p>
    </div>
  </div>
</template>

<script>
    export default {
      name: "infoPage",
      props:{
        infoData:{},
      },
      data(){
        return{

        }
      },
      created(){

      },
      methods:{
        backPage(){
          this.$parent.clickPage(1);
        },
      },
    }
</script>

<style scoped lang="scss">
  .infoPage{
    display: flex!important;
    flex-direction: column;
    padding-bottom:20px;
    *{
      margin:0;
    }
    .top-title-box{
      display: flex;
      margin:0 20px;
      border-bottom:1px solid #E0E0E0;
      p:nth-child(1){
        font-size:18px;
        height:80px;
        line-height:80px;
        color:#0045AF;
        flex:1;
      }
      p:nth-child(2){
        margin-top:20px;
      }
    }
    .text-max-box{
      display: flex;
      margin:30px 36px 0;
      p:nth-child(1){
        width:95px;
        color:#333;
        font-size:16px;
        line-height:26px;
      }
      p:nth-child(2){
        flex:1;
        color:#999;
        font-size:16px;
        line-height:26px;
      }
    }
  }
</style>
